SNMP
3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSnmpSetting | GET | Get SNMP setting |
| modifySnmpSetting | PATCH | Modify SNMP setting |
| getSnmpIncompatibleDevices | GET | Get the list of site devices that do not support SNMP v3 enhanced configuration |
getSnmpSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp
Get SNMP setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSnmpSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SNMP setting info of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
modifySnmpSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp
Modify SNMP setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SnmpSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
snmpV1V2CEnable | boolean | yes | SNMPv1 & SNMPv2c enable status |
communityString | string | no | Community string, valid when parameter [snmpV1V2CEnable] is true. The communityString should contain at least 10 characters, using a combination of numbers, letters or special characters. The communityString should not contain consecutive identical characters. |
snmpV3Enable | boolean | yes | SNMPv3 enable status |
username | string | no | Username, valid when parameter [snmpV3Enable] is true. Username should contain 1 to 30 characters |
password | string | no | The password should contain at least 10 characters, using a combination of numbers, letters or special characters. The password should not contain consecutive identical characters. Username and Password should not be the same. |
securityLevel | integer | no | Security Level should be a value as follows: 0: NoAuthNoPriv; 1: AuthNoPriv; 2: AuthPriv |
authMode | integer | no | Authentication Mode should be a value as follows: 1: MD5; 2: SHA. When Security Level is AuthNoPriv or AuthPriv, this field is required |
privacyMode | integer | no | Privacy Mode should be a value as follows: 1: DES; 2: AES. When Security Level is AuthPriv, this field is required |
privacyPassword | string | no | The privacy password should contain at least 10 characters, using a combination of numbers, letters or special characters. The privacy password should not contain consecutive identical characters. Username and privacy password should not be the same. |
location | string | no | Location |
contact | string | no | Contact |
// omada_call_operation
{
"operationId": "modifySnmpSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SNMP setting info of the site with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34503 - Community String cannot be the same as the username.
getSnmpIncompatibleDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp/incompatible-devices
Get the list of site devices that do not support SNMP v3 enhanced configuration
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getSnmpIncompatibleDevices",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the list of site devices that do not support SNMP v3 enhanced configuration.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.